Skip to main content
POST
Create a crypto payout

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
idempotencyKey
string<uuid>
required

Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.

Example:

"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"

source
object
required

The source wallet to fund the payout. Required for Digital Asset Accounts: set id to the accountId of the custody account to pay out from.

destination
object
required

The payout destination: an address book recipient created with POST /v1/addressBook/recipients. The recipient must be in active status and created with clientEntityId set to the end user who owns the payout's source account.

amount
object
required
riskSignals
object
required

Risk metadata for the end user initiating the payout. For payouts, a risk denial fails the payout with errorCode transaction_denied.

toAmount
object

The destination currency. Defaults to amount.currency.

purposeOfTransfer
enum<string>

Required for Circle Inc (CIRCLE_INC) customers using Managed Payments, based on the source account's legal entity.

Available options:
PMT000,
PMT001,
PMT002,
PMT003,
PMT004,
PMT005,
PMT007,
PMT008,
PMT009,
PMT010,
PMT011,
PMT012,
PMT013,
PMT014,
PMT015,
PMT016,
PMT017,
PMT018,
PMT019,
PMT020,
PMT021,
PMT022,
PMT023,
PMT024,
PMT025,
PMT026,
PMT027,
PMT028,
PMT029,
PMT030
Example:

"PMT001"

metadata
object

Additional properties related to the crypto payout.

Response

Successfully created a payout.

data
object

A crypto payout.